# Class VMAAllocationResult.Builder<T>

java.lang.Object
com.io7m.jcoronado.vma.VMAAllocationResult.Builder<T>

Enclosing class:
  `VMAAllocationResult<T>`

public static final class VMAAllocationResult.Builder<T> extends Object
Builds instances of type `VMAAllocationResult`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VMAAllocationResult<T>`
  `build()`
  Builds a new `VMAAllocationResult`.
  `final VMAAllocationResult.Builder<T>`
  `from(VMAAllocationResultType<T> instance)`
  Fill a builder with attribute values from the provided `VMAAllocationResultType` instance.
  `final VMAAllocationResult.Builder<T>`
  `setAllocation(VMAAllocationType allocation)`
  Initializes the value for the `allocation` attribute.
  `final VMAAllocationResult.Builder<T>`
  `setResult(T result)`
  Initializes the value for the `result` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VMAAllocationResult.Builder<T> from(VMAAllocationResultType<T> instance)
    Fill a builder with attribute values from the provided `VMAAllocationResultType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setAllocation

    public final VMAAllocationResult.Builder<T> setAllocation(VMAAllocationType allocation)
    Initializes the value for the `allocation` attribute.
    Parameters:
      `allocation` - The value for allocation
    Returns:
      `this` builder for use in a chained invocation

  - ### setResult

    public final VMAAllocationResult.Builder<T> setResult(T result)
    Initializes the value for the `result` attribute.
    Parameters:
      `result` - The value for result
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VMAAllocationResult<T> build()
    Builds a new `VMAAllocationResult`.
    Returns:
      An immutable instance of VMAAllocationResult
    Throws:
      `IllegalStateException` - if any required attributes are missing